Package org.apache.cayenne.map

## Class EmbeddableAttribute

- java.lang.Object
- - org.apache.cayenne.map.EmbeddableAttribute

- All Implemented Interfaces:
    `Serializable`, `ConfigurationNode`, `XMLSerializable`

      public class EmbeddableAttribute
      extends Object
      implements ConfigurationNode, XMLSerializable, Serializable

  A persistent attribute of an embeddable object.
  Since:
    3.0
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `dbAttributeName` |
    `protected Embeddable` | `embeddable` |
    `protected String` | `name` |
    `protected String` | `type` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddableAttribute()` |
    `EmbeddableAttribute​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> T` | `acceptVisitor​(ConfigurationNodeVisitor<T> visitor)` |
    `void` | `encodeAsXML​(XMLEncoder encoder, ConfigurationNodeVisitor delegate)` | Prints itself as XML to the provided XMLEncoder.
    `String` | `getDbAttributeName()` |
    `Embeddable` | `getEmbeddable()` |
    `String` | `getName()` |
    `String` | `getType()` |
    `void` | `setDbAttributeName​(String dbAttributeName)` |
    `void` | `setEmbeddable​(Embeddable embeddable)` |
    `void` | `setName​(String name)` |
    `void` | `setType​(String type)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### type

          protected String type

    - #### dbAttributeName

          protected String dbAttributeName

    - #### embeddable

          protected Embeddable embeddable

  - ### Constructor Detail

    - #### EmbeddableAttribute

          public EmbeddableAttribute()

    - #### EmbeddableAttribute

          public EmbeddableAttribute​(String name)

  - ### Method Detail

    - #### acceptVisitor

          public <T> T acceptVisitor​(ConfigurationNodeVisitor<T> visitor)

      Specified by:
        `acceptVisitor` in interface `ConfigurationNode`
      Since:
        3.1

    - #### encodeAsXML

          public void encodeAsXML​(XMLEncoder encoder,
                                  ConfigurationNodeVisitor delegate)

      Description copied from interface: `XMLSerializable`
      Prints itself as XML to the provided XMLEncoder.
      Specified by:
        `encodeAsXML` in interface `XMLSerializable`

    - #### getDbAttributeName

          public String getDbAttributeName()

    - #### setDbAttributeName

          public void setDbAttributeName​(String dbAttributeName)

    - #### getName

          public String getName()

    - #### setName

          public void setName​(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType​(String type)

    - #### getEmbeddable

          public Embeddable getEmbeddable()

    - #### setEmbeddable

          public void setEmbeddable​(Embeddable embeddable)